Bug 176520 - Move from Kernel 2.6.14-1.1644_FC4 to kernel-2.6.14-1.1653_FC4 causes ACPI hang on boot
Move from Kernel 2.6.14-1.1644_FC4 to kernel-2.6.14-1.1653_FC4 causes ACPI ha...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-23 21:22 EST by Pat Gunn
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-29 20:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg of the previous kernel that boots ok (13.57 KB, text/plain)
2005-12-23 21:24 EST, Pat Gunn
no flags Details

  None (edit)
Description Pat Gunn 2005-12-23 21:22:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
All FC4 x86_64 kernels prior to kernel-2.6.14-1.1653_FC4 boot ok, but the update to kernel-2.6.14-1.1653_FC4 causes the system to hang on boot after printing:

ACPI: Subsystem revision 20050916

According to the immediately preceding kernel that I'm using presently, I'm using ACPI Subsystem revision 20050902 successfully. System is a HP Pavilion dv8000z.

Please find attached a dmesg from the last working kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot with new kernel
2. Cry

Actual Results:  System hangs during bootup

Expected Results:  Successful boot

Additional info:
Comment 1 Pat Gunn 2005-12-23 21:24:50 EST
Created attachment 122568 [details]
dmesg of the previous kernel that boots ok
Comment 2 Dave Jones 2005-12-23 22:31:45 EST
can you try the test kernel at http://people.redhat.com/davej/kernels/Fedora/FC4
please ?
Comment 3 Pat Gunn 2005-12-23 22:49:20 EST
That works. I hope it's released soon -- I can't actually use this kernel daily
because I use livna's ndiswrapper package, and they don't release that package
except for known fedora kernels, meaning wireless will not work, but this kernel
does boot ok. I notice that your fix was just to mix the old ACPI back in
though. I'm hoping that either this is an acceptable strategy, or that the next
version of the ACPI subsystem after this version will not hang. I'll be happy to
test more kernels if you like.
Comment 4 Dave Jones 2005-12-23 23:24:53 EST
I reported some regressions with the acpi update to the upstream maintainers,
hopefully they'll get worked out before they end up being merged into Linus' tree.

Note You need to log in before you can comment on or make changes to this bug.